<template>
  <div class="pagination-custom-select-dropdown">
    <b-dropdown ref="cDropdown" text="" variant="link" no-caret class="w-100">
      <template #button-content class="btn-outline">
        <span class="ml-50 text-body float-left font-700">
          <span>{{ selectedValue }}</span>
        </span>
        <b-img :src="downArrowIcon" class="text-body float-right" />
      </template>
      <b-dropdown-form>
        <template v-for="option in options">
          <p
            class="select-option"
            :class="selectedValue == option ? 'active' : ''"
            @click="changePerPage(option)"
          >
            {{ option }}
          </p>
        </template>
      </b-dropdown-form>
    </b-dropdown>
  </div>
</template>

<script>
import { BImg, BDropdown, BDropdownItem, BDropdownForm } from "bootstrap-vue";
export default {
  components: {
    BImg,
    BDropdown,
    BDropdownItem,
    BDropdownForm,
  },
  props: {
    options: {
      type: Array,
      require: true,
    },
    selectedValue: {
      require: true,
    },
  },
  data() {
    return {
      downArrowIcon: new URL("/src/assets/images/icons/down-arrow.svg", import.meta.url).href,
    };
  },
  methods: {
    changePerPage(value) {
      this.$emit("perPage", value);
      this.$refs.cDropdown.hide();
    },
  },
};
</script>
